## dwww 1.9.21

=== debian/changelog ===
dwww (1.9.21) unstable; urgency=medium

  * dwww-find: surround the search argument passed to man or dpkg with
    quotation marks.
  * dwww-find: add <h2> header on the reg. docs search results page
    to make it look like other pages.
  * Utils.pm: remove some unnecessary spaces.

 -- Robert Luberda <robert@debian.org>  Fri,  6 May 2005 22:49:24 +0200

dwww (1.9.20) unstable; urgency=low

  * Add two new cache files: one for caching parsed contents of the doc-base
    files and the second one for mapping doc-base files names to package
    names.
  * Introduced the new script: dwww-refresh-cache to generate the second of
    the above mentioned cache and to manage the cache directory in general.
  * dwww-build-menu:
    + generate the first of above mentioned files while building the menu
    + use the second cache file to display links to packages including
      the doc-base files.
  * dwww-find: make use of the first cache file and add the "Registered
    documentation" section to program/package search output page.
  * dwww-refresh-cache: clear possible temporary files generated by index++
    in case dwww-index++ was interrupted.
  * dwww.cron.daily: simplified; call dwww-refesh-cache.
  * Updated dwww(8) man page.
  * Makefile, functions.sh.in: simplified generation of the dwww variables
    set in the functions.sh script.
  * dwww-convert: redirect error output of man program to /dev/null not to
    clutter the web server log files with bogus "reformatting..." messages.

 -- Robert Luberda <robert@debian.org>  Sat,  9 Apr 2005 17:42:46 +0200

dwww (1.9.19) unstable; urgency=low

  * lib/man-in-section.start: correct logo image height.
  * dwww-build: a few missing sections descriptions.
  * lib/menu*: make menu background colour darker, so it's displayed on LCD
    monitors.
  * dwww-find: fix searching for a package or program when quickfind cache
    file is not available.
  * dwww-build.menu.8: update-menus man page is in the section 1, not 8.
  * swish++.conf: generate temporary files in /var/cache/dwww, not
    in /var/lib/dwww.

 -- Robert Luberda <robert@debian.org>  Thu,  7 Apr 2005 23:57:07 +0200

dwww (1.9.18) unstable; urgency=medium

  * Fix typo in the dwww(1) man page (closes: #302824).
  * dwww-build: added missing sections descriptions - extracted all manual
    sections from the Contents-i386.gz file and wrote their descriptions.
  * Replace the Debian logo with a better, PNG version stolen from the
    info2www package.
  * dwww-build-menu: don't display dwww warnings when doc-base file does
    not contain title or abstract fields.

 -- Robert Luberda <robert@debian.org>  Mon,  4 Apr 2005 08:06:31 +0200

dwww (1.9.17) unstable; urgency=low

  * Dwww/Initialize.pm: correct broken regexp used to read configuration file.
  * Move swish++ and quickfind.dat cache files to from /var/lib/dwww to
    /var/cache/dwww. Also change dwww-cache directory to /var/cache/dwww/db.
  * lib/menu* templates: change background colour of the left side menu to some
    nicer value.
  * Include /etc/dwww/apache.conf file symlinked from /etc/apache*/conf.d/dwww
    (closes: #298678).
  * dwww-index++:
    + add DWWW_INDEX_DOCUMENTATION variable to allow disabling documentation
      indexing.
    + use man2html's generated index of man pages when the another newly
      added configuration variable DWWW_MERGE_MAN2HTML_INDEX is set to `yes'.
    + split `Files:' field on spaces.

 -- Robert Luberda <robert@debian.org>  Sun, 13 Mar 2005 11:06:34 +0100
