=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 4.1.25), publib-dev
Standards-Version: 3.6.1

Package: dwww
Architecture: any
Section: doc
Depends: apache | httpd, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
Recommends: info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian, swish++, dpkg-www
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.


Package: realpath
Architecture: any
Section: utils
Depends: ${shlibs:Depends}
Replaces: dwww (<= 1.6.10)
Description: Return the canonicalized absolute pathname
 The package contains a small utility realpath, which converts each
 pathname argument to an absolute pathname, which has no components
 that are symbolic links or the special .  or ..  directory entries.
 .
 This utility provides mostly the same functionality as `/bin/readlink -f'
 in the coreutils package.
