## dwww 1.9.21osso

=== debian/changelog ===
dwww (1.9.21osso) unstable; urgency=low

  * build dependency to po-debconf added

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu, 30 Mar 2006 22:32:43 +0300
