=== debian/changelog ===
dwww (1.9.21osso2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Wed, 16 Sep 2009 14:08:20 +0300

dwww (1.9.21osso2) unstable; urgency=low

  * Tune top level Makefile not to crash on multiple line perl -e
    expression with make 3.81 (Fixes: NB#89532)

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 16 Sep 2009 12:34:11 +0300
