=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 4.1.25), publib-dev
+Build-Depends: debhelper (>= 4.1.25), po-debconf, publib-dev
 Standards-Version: 3.6.1
 
 Package: dwww
