## dwww 1.9.23

=== Makefile ===
--- 
+++ 
@@ -70,9 +70,21 @@
 
 
 %::%.in $(source_links)
-	perl -e \
-		'use lib "."; use Debian::Dwww::Initialize; $$d=&DwwwInitialize; $$v=""; foreach $$k (sort keys %{$$d}) { $$v.="\t$$k=\"$$d->{$$k}\"\n" if $$k ne "DWWW_TITLE"; } while (<>) { s/#VERSION#/$(VERSION)/g; s/^.*#DWWWVARS#.*$$/$$v/g; print; }' \
-		< $< > $@
+	perl -e '					\
+		use lib "."; 				\
+		use Debian::Dwww::Initialize; 		\
+		$$d=&DwwwInitialize;			\
+		$$v="";					\
+		foreach $$k (sort keys %{$$d}) {	\
+			$$v.="\t$$k=\"$$d->{$$k}\"\n" 	\
+				if $$k ne "DWWW_TITLE";	\
+		}					\
+		while (<>) {				\
+			s/#VERSION#/$(VERSION)/g;  	\
+			s/^.*#DWWWVARS#.*$$/$$v/g;	\
+			print;				\
+		}'					\
+	  < $< > $@
 	touch -r $< $@
