=== debian/changelog ===
dwww (1.9.23) unstable; urgency=low

  * realpath: implement --zero option (closes: #307018), update man page.
  * Correct German translation of debconf templates (closes: #312410)
    Thanks to Jens Seidel <jensseidel@users.sf.net>.
  * Depend on httpd-cgi, not on httpd (closes: #186395).
  * Build-depend on the newest debhelper to have menu file moved to
    /usr/share/menu.
  * Dwww/*.pm: use perl built-in functions to get date and hostname instead 
    of spawning external programs.
  * Standards-Version: 3.6.2.

 -- Robert Luberda <robert@debian.org>  Thu, 23 Jun 2005 22:56:34 +0200

dwww (1.9.22) unstable; urgency=low

  * Add Vietnamese translation of debconf templates (closes: #311600).
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * dwww-build: refer to external BTS documentation if the doc-debian
    is not installed (closes: #309951).
  * dwww-build: use Cwd 'realpath' instead of local no-op function.

 -- Robert Luberda <robert@debian.org>  Sun,  5 Jun 2005 16:06:34 +0200
