=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 4.1.25), po-debconf, publib-dev
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 4.9), publib-dev
+Standards-Version: 3.6.2
 
 Package: dwww
 Architecture: any
 Section: doc
-Depends: apache | httpd, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
+Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
 Recommends: info2www, dlocate (>= 0.5-0.1), apt
 Suggests: links | www-browser, doc-debian, swish++, dpkg-www
 Description: Read all on-line documentation with a WWW browser
