=== debian/changelog ===
dwww (1.9.27) unstable; urgency=low

  * Fix FTBFS with new make (closes: #347357).
  * Initial translations of debconf templates:
    + Swedish (closes: #339547)
    + Portuguese (closes: #336926).
  * realpath.1: add reference to basename(1) and dirname(1) (closes: #342149).
  * menu-method: update path for install-menu program (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 14 Jan 2006 12:06:10 +0100

dwww (1.9.26) unstable; urgency=low

  * dwww.cgi: delete unsafe environment variables like IFS (closes: #330663).
  * dwww-refresh-cache: fix the find command warnings (closes: #328721).
  * Install searchplugins for mozilla & firefox (closes: #328945).

 -- Robert Luberda <robert@debian.org>  Wed,  5 Oct 2005 22:06:41 +0200

dwww (1.9.25) unstable; urgency=low

  * dwww.postinst: Fix confusing error message when $cgiuser is set to
    "root" (closes: #326796).
  * dwww-find: Remove the newly introduced 'Tag:' field from packages
    descriptions.
  * Fix possible bashisms as found by lintian in the maintainer scripts.

 -- Robert Luberda <robert@debian.org>  Fri, 16 Sep 2005 00:27:35 +0200

dwww (1.9.24) unstable; urgency=low

  * Initial Czech translation of debconf messages (closes: #315836).
    Thanks to Miroslav Kure <kurem(at)upcase.inf.upol.cz>.
  * dww-index++: change temporary file name, so it can be eventually
    cleaned by dwww-refresh-cache.

 -- Robert Luberda <robert@debian.org>  Sat, 16 Jul 2005 21:09:01 +0200
