=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: dwww
 Architecture: any
 Section: doc
-Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.14), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
+Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.24), realpath (>= ${Source-Version}), doc-base (>= 0.7.17), debianutils (>= 2.5)
 Recommends: info2www, dlocate (>= 0.5-0.1), apt
 Suggests: links | www-browser, doc-debian, swish++, dpkg-www
 Description: Read all on-line documentation with a WWW browser
