## dwww 1.10.0

=== debian/changelog ===
dwww (1.10.0) unstable; urgency=low

  * Upload to unstable.
  * Summarise the most important changes made from the last unstable
    version in debian/NEWS.
  * Update man pages.
  * dwww.prerm: remove /var/www/dwww on package removal.

 -- Robert Luberda <robert@debian.org>  Sun,  4 Jun 2006 16:54:48 +0200

dwww (1.9.95) experimental; urgency=low

  * Move perl modules to perl/Debian/Dwww dir.
  * dwww-convert: Re-add support for DWWW_USEFILEDIR.
  * dwww-find: fix a typo.
  * dwww.links: move firefox search plugin to /usr/share/firefox dir.
  * debian/dwww.cron.*: remove unneeded source'ing the functions.sh file.
  * debian/*: bump to debhelper v5.
  * README: remove the note about apache2.
  * Remove realpath sources.
  * dwww.templates, po/*: fix `malformed-prompt-in-templates' lintian 
    warning by replacing ending dots with colons.
  * Standards-Version: 3.7.2 (no changes needed).
  * Remove unneeded source.linian-overrides file.

 -- Robert Luberda <robert@debian.org>  Tue, 30 May 2006 21:32:03 +0200

dwww (1.9.94) experimental; urgency=low

  * Stop building the realpath package, which was moved to its own source
    package.

 -- Robert Luberda <robert@debian.org>  Sun,  7 May 2006 21:50:21 +0200

dwww (1.9.93) experimental; urgency=low

  * Common.pm: add missing slash for dirs URL (closes: #365552).
  * dwww-find: include links for some common package files, like copyright,
    changelogs or READMEs.
  * control: lower the menu package dependency.
  * dwww-build: description for man pages' section 3xp.

 -- Robert Luberda <robert@debian.org>  Thu,  4 May 2006 21:52:38 +0200

dwww (1.9.92) experimental; urgency=low

  * dwww.cgi: thttpd is broken and won't work with dwww (see bug#164306),
    warn users about it.
  * Utils.pm, dwww-build*: Add RenameDir() function, which uses rename()
    or File::NCopy::copy() to rename the temporary directory into the real
    one (closes: #363319).
  * Move GetURL() funcions from various perl scripts to newly added Common.pm
    module.
  * debian/control: Add dependency on libfile-ncopy-perl for the above change.
  * COPYING: Update FSF address.
  * dwww-format-man: rewrite in Perl to avoid su with its new behaviour.
  * Update dwww-format-man(8) page.
  * dwww-convert, dwww.cgi: add and pass new internal option (--no-path-info)
    to mark the arguments as using the old-style dwww URLs (i.e. not using
    PATH_INFO variable).
  * lib/dwww.template: use the new-style URL for the /usr/share/doc directory.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Apr 2006 23:37:15 +0200

dwww (1.9.91) experimental; urgency=low

  * dwww-build, dwww-build-menu: generate dwww HTML dir directly 
    in DWWW_DOCROOTDIR (i.e. /var/www/) (closes: #337158) to make 
    dwww work with thttpd.
  * lib/*: use GET instead of POST for form submission (closes: #356023).
  * dwww.menu-method: add removemenu entry (closes: #358046).
  * apache.conf: remove alias for /dwww, use /var/www/dwww in Directory entry.
  * preinst:
    + remove /var/lib/dwww/html dir on upgrade to this version.
    + also remove some old stuff from the script.
  * Add support for searching packages containing file given by user:
    + lib*: include link for "Find package" using %MENUADD% and %FILEURL%
      variables.
    * dwww-convert: support those variables.
    + dwww-find: add --docfile argument.
    + moved printing HTTP headers from dwww-cgi to dwww-find.
  * Utils.pm: show the correct message in CheckAccess().

 -- Robert Luberda <robert@debian.org>  Sat, 25 Mar 2006 14:27:02 +0100

dwww (1.9.90) experimental; urgency=low

  * Pass file locations using the PATH_INFO variable, not the QUERY_STRING.
    This allows us to send HTML files directly to client, without any
    convertions, so any embeeded javascript will just work (closes: #265573).

  * dwww.cgi, dwww-build, and others: update for the above change.
  * dwww-convert:
    + rewritten in Perl
    + use MIME:Types module for handling mime types.
    + move access checking code to Dwww::Utils.
    + drop html2html and css2css conversions code, no longer needed.
    + temporary drop handling of USE_FILEDIR, will be readded soon.
  * Dwww/Initialize.pl: split DWWW_DOCPATH & ALLOWEDLINKPATH into array
    for better access in other modules.
  * Dwww/Utils.pl:
    + Add CheckAccesss & StripDir functions, to check if we're allowed to
      show the requested file to client. Now we're using Cwd::realpath
      module instead of realpath(1) program.
    + Add RedirectToURL and ErrorMsg functions.
  * dwww-txt2html: add links to CVE and CAN lists.
  * debian/control: add dependency on libmime-types-perl & mime-support,
    drop dependency on realpath.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Feb 2006 16:19:41 +0100

dwww (1.9.28) unstable; urgency=low

  * dwww-convert: while converting man pages pass `-Tascii8' argument to
    the man program. With this argument man seems not to filter the page
    with col(1). See Bug#340673.
  * Dwww/Initialize.pm: close filehandle used to read the dwww.conf file.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Jan 2006 12:05:47 +0100
