=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 5), publib-dev
Standards-Version: 3.7.2

Package: dwww
Architecture: any
Section: doc
Depends: apache | httpd-cgi, man-db, file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, menu (>= 2.1.24), doc-base (>= 0.7.17), debianutils (>= 2.5), libmime-types-perl (>= 1.15), mime-support, libfile-ncopy-perl
Recommends: info2www, dlocate (>= 0.5-0.1), apt
Suggests: links | www-browser, doc-debian, swish++, dpkg-www
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.
