## dwww 1.10.3

=== debian/changelog ===
dwww (1.10.3) unstable; urgency=low

  * Initial Russian translation of debconf templates (closes: #406243).
    Thanks to Yuri Kozlow.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2007 13:16:09 +0100

dwww (1.10.2) unstable; urgency=low

  * swish++.conf: Half a value of `WordThreshold' and add `StoreWordPositions
    no' to make index++ consume less memory and disk space (closes: #352774).

 -- Robert Luberda <robert@debian.org>  Sat,  6 Jan 2007 18:04:30 +0100

dwww (1.10.1) unstable; urgency=high

  * Applied NMU patch from Frank Küster, see previous log entry.
    Thanks, Frank! (Note however the NMU was never uploaded).
  * debian/postinst:
    + restart all apache web servers, not apache2 only;
    + use invoke-rc.d to do the job.
  * dwww-find:
    + set proper type for links generated by SearchDocFile();
    + BasePkgFiles(): make regexp not to fail on packages' names containing
      metacharacters (e.g. `swish++').

 -- Robert Luberda <robert@debian.org>  Mon,  1 Jan 2007 22:53:01 +0100

dwww (1.10.0-0.1) unstable; urgency=high

  * NMU to fix RC, important and l10n bugs
  * Change firefox to iceweasel in dwww.links.  This broke installing
    iceweasel when dwww was present, hence the urgency. (closes: #404775,
    #404662) 
  * In postinst, restart apache2 if it is running (closes: #374665)
  * Use readlink -f instead of realpath, which isn't available in the
    packages dwww depends on (closes: #404666)
  * Spanish debconf translation update, by Steve Lord Flaubert
    <stonescenter@gmail.com> and others (closes: #397061, #404748,
    #396474, #385051)

 -- Frank Küster <frank@debian.org>  Thu, 28 Dec 2006 17:58:59 +0100
