## dwww 1.10.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile,v 1.28 2006-01-14 11:06:21 robert Exp $"
+# "@(#)dwww:$Id: Makefile,v 1.30 2006-05-30 18:56:29 robert Exp $"
 #
 
 VERSION	= $(shell dpkg-parsechangelog | sed -ne 's/^Version: *//p')
@@ -42,17 +42,16 @@
 cachedir 	= $(prefix)/var/cache/dwww
 webdocrootdir 	= $(prefix)/var/www
 webcgidir	= $(prefix)/usr/lib/cgi-bin
-perlmoddir=$(prefix)/usr/share/perl5/Debian/Dwww
+perlmoddir	= $(prefix)/usr/share/perl5/Debian/Dwww
 
-perlmodules	= Dwww/*.pm
-source_links	= Debian
+perlmodules	= perl/Debian/Dwww/*.pm
 
 
 links_end	= dwww-convert.dir.end dwww-convert.end dwww-find.end 
 
 lib		= lib/[!Ceio]* lib/img/[!C]*
 editorial	= lib/editorial/*.html
-bin		= realpath dwww
+bin		= dwww
 cgi		= dwww.cgi
 sbin		= dwww-convert dwww-build dwww-cache dwww-find \
 		  dwww-quickfind  dwww-txt2html dwww-format-man \
@@ -61,18 +60,18 @@
 man1		= man/*.1
 man8		= man/*.8
 
-generated	= realpath dwww-cache dwww-quickfind dwww-txt2html \
-		  Dwww/Version.pm functions.sh
+generated	= dwww-cache dwww-quickfind dwww-txt2html \
+		  perl/Debian/Dwww/Version.pm functions.sh
 
 perlprogs       = dwww-find dwww-build-menu dwww-index++
 testprogs       := $(patsubst %,%.test,$(perlprogs))
 
-all: $(source_links) $(generated)
+all:  $(generated)
 
 
-%::%.in $(source_links)
+%::%.in 
 	# try to be compatible with the both sarge and sid versions of make
-	PERL5LIB="." $(PERL)  -e \
+	PERL5LIB="./perl" $(PERL)  -e \
 	'exec ("'$(PERL)'", "-e", join("",@ARGV)) if $$#ARGV >-1; '\
 	'	$$|=1;					'\
 	'	use Debian::Dwww::Initialize; 		'\
@@ -95,9 +94,6 @@
 dwww-txt2html: dwww-txt2html.o utils.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-realpath: realpath.o
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
-
 dwww-cache: dwww-cache.o utils.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 	
@@ -112,7 +108,6 @@
 	ln -s . $@
 
 clean:
-	rm -f $(source_links)
 	rm -f core *.o $(generated)
 	rm -f $(testprogs)
 
@@ -140,7 +135,7 @@
 #	ln -s $(libdir)/dwww.cgi $(cgidir)/dwww
 #	ln -s /usr/lib/dwww/dwww.cgi $(webcgidir)/dwww
 	install -p -m 0755 $(cgi) $(webcgidir)/dwww
-	ln -s /var/lib/dwww/html $(webdocrootdir)/dwww
+	install -d -m 0755 $(webdocrootdir)/dwww
 	install -p -m 0755 $(bin) $(bindir)
 	install -p -m 0755 $(sbin) $(sbindir)
 	install -p -m 0644 $(perlmodules) $(perlmoddir)
@@ -151,10 +146,10 @@
 %.test::%
 	rm -f $@
 	echo "#!/usr/bin/perl" > $@
-	echo "use lib \".\";"  >> $@
+	echo "use lib \"./perl\";"  >> $@
 	sed -e 's/\/usr\/share\/dwww/lib/g'  $< >> $@
 	chmod 555 $@
 
-test: $(testprogs) $(source_links)
+test: $(testprogs) 
 
 .PHONY: all debug clean install installdirs test
