=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-	#-$(MAKE) distclean
+	$(MAKE) clean
 
 	dh_clean
